Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2083750 - Drop i686 builds of jdk8,11,17 and latest (18) rpms from f37 onwards
Summary: Drop i686 builds of jdk8,11,17 and latest (18) rpms from f37 onwards
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: jiri vanek
QA Contact:
URL:
Whiteboard:
Depends On: 2102298 2103909 2103921 2104011 2104014 2104015 2104016 2104017 2104018 2104019 2104020 2104021 2104022 2104023 2104024 2104025 2104026 2104027 2104028 2104029 2104030 2104031 2104032 2104033 2104034 2104035 2104036 2104037 2104038 2104039 2104040 2104041 2104042 2104043 2104044 2104045 2104046 2104047 2104048 2104049 2104050 2104051 2104052 2104053 2104054 2104055 2104056 2104057 2104058 2104059 2104060 2104061 2104062 2104063 2104064 2104065 2104066 2104067 2104068 2104069 2104070 2104071 2104072 2104073 2104074 2104075 2104076 2104077 2104078 2104079 2104080 2104081 2104082 2104083 2104084 2104085 2104086 2104087 2104088 2104089 2104090 2104091 2104092 2104093 2104094 2104095 2104096 2104097 2104098 2104099 2104100 2104101 2104102 2104103 2104104 2104105 2104106 2104107 2104108 2104109 2104110 2104111 2104112 2104113 2104125 2104126 2104128 2104129 2104204 2104208 2104209 2104210 2104211 2104212 2104213 2104214 2104215 2104216 2104217 2104218 2104219 2104220 2104221 2104222 2104223 2104224 2104225 2104226 2104227 2104228 2104229 2104230 2104231 2104232 2104233 2104234 2104235 2104236 2104237 2104238 2104239 2104240 2104242 2104243 2104244 2104245 2104248 2104250 2104252 2104253 2104255 2104256 2104257 2104259 2104260 2104261 2104262 2104263 2104264 2104265 2104266 2105362
Blocks: F37Changes
TreeView+ depends on / blocked
 
Reported: 2022-05-10 17:03 UTC by Ben Cotton
Modified: 2022-11-15 16:22 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-11-15 16:22:28 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Ben Cotton 2022-05-10 17:03:52 UTC
This is a tracking bug for Change: Drop i686 builds of jdk8,11,17 and latest (18) rpms from f37 onwards
For more details, see: https://fedoraproject.org/wiki/Changes/Drop_i686_JDKs

java-1.8.0-openjdk, java-11-openjdk, java-17-openjdk and java-latest-openjdk packages will no longer build i686 subpackages

If you encounter a bug related to this Change, please do not comment here. Instead create a new bug and set it to block this bug.

Comment 2 judovana@email.cz 2022-07-17 10:06:04 UTC
deprecated i686 java packages

As shcedule did not went as expected, instead of direct removal, which would cause to much packages to FTBFS during mass rebuild, i686 jdk will be derecated in i686, by having bianries repalced by warning, not working shell script: https://src.fedoraproject.org/rpms/java-17-openjdk/c/73fbfeeb34244ac9e1b105d6dea094c1f4d7f1cb?branch=rawhide

Comment 3 Ben Cotton 2022-08-09 16:02:52 UTC
Today we reached the Code Complete (Testable) milestone on the F37 schedule: https://fedorapeople.org/groups/schedule/f-37/f-37-key-tasks.html

At this time, all F37 Changes should be complete enough to be testable. You can indicate this by setting this tracker to the MODIFIED status. If the Change is 100% code complete, you can set the tracker to ON_QA. If you need to defer this Change to F38, please NEEDINFO me.

Changes that have not reached at least the MODIFIED status will be given to FESCo for evaluation of contingency plans.

Comment 4 Ben Cotton 2022-08-10 19:03:12 UTC
Change owner replied out of band that this is complete.

Comment 5 Ben Cotton 2022-11-15 16:22:28 UTC
F37 was released today, so I am closing this tracker. If this Change was not completed, please notify me ASAP.


Note You need to log in before you can comment on or make changes to this bug.